---
- name: "Set SQL service name: MariaDB"
  ansible.builtin.set_fact:
    service_name: "{{ mariadb_service }}"
    may_restart: "{{ mariadb_can_restart }}"
  when: mariadb_service is defined

- name: "Set SQL service name: PostgreSQL"
  ansible.builtin.set_fact:
    service_name: "{{ postgresql_service }}"
    may_restart: "{{ postgresql_can_restart }}"
  when: postgresql_service is defined

- name: Tune system for SQL
  ansible.builtin.template:
    src: sql_tuning.conf
    dest: /etc/sysctl.d/sql_tuning.conf
    mode: "0644"
    owner: root
    group: root
  notify: Apply SQL tuning

- name: Set open files for SQL user
  ansible.builtin.template:
    src: sql_limits.conf
    dest: /etc/security/limits.d/sql_limits.conf
    mode: "0644"
    owner: root
    group: root
  notify: Restart SQL
